<?php

namespace App\Tech\Message;

class ProcessTaskMessage
{
    public function __construct(
        private string $taskName,
        private array $payload = [],
    ) {
    }

    public function getTaskName(): string
    {
        return $this->taskName;
    }

    public function getPayload(): array
    {
        return $this->payload;
    }
}
